# Data Transmission

## Overview

Data transfer is independent from the content of the transfer itself.

{% hint style="info" %}
For more information on the content of the transfer, see the respective data models of [scan/status events](/docs/developers/v2/data-elements/carrier-integration/scans-and-status-events.md) and [live geo tracking](/docs/developers/v2/data-elements/carrier-integration/live-geo-tracking.md).
{% endhint %}

You can use the following methods to send updates for scans and status events as well as live geo tracking to the parcelLab system:

* Calling the parcelLab API.
* Providing an API for parcelLab to call.
* Sending files to parcelLab.

An introduction to the transfer channels is described in the following sections.

## Calling the parcelLab API

Our API is available at `https://webhooks-api.parcellab.com/webhook/{carrier}/` and accepts `JSON` payloads. All requests are `POST`, with the specific APIs listed in the respective sections for [scan/status events](/docs/developers/v2/data-elements/carrier-integration/scans-and-status-events.md) and [live geo tracking](/docs/developers/v2/data-elements/carrier-integration/live-geo-tracking.md).

## Providing an API for parcelLab to Call

parcelLab can also call your API. The following requirements are needed for APIs to be integrated:

* Connection to be established via `https`.
* `GET` and `POST` requests.
* Responses in `JSON` .
* Single-call authentication via Token, Basic Auth, Certificate, Whitelisted IP Range (that is: no Auth service to be called first).

To get started, you need to provide us with your API documentation. Please [fill in our contact form](https://parcellab.com/en/contact) and we'll get back to you.

## Sending Files to parcelLab

The preferred transfer channel is via SFTP, where either the data can be downloaded by parcelLab or is automatically uploaded to parcelLab servers. For more information on data exchange, see how you can [send us data via SFTP](/docs/developers/v2/data-elements/send-data/file-transfers.md).

parcelLab expect data to be sent at least every 15 minutes, but data can also be sent in real time for each individual scan event (preferred).

Supported file formats include .xml, .csv, and EDIFACT. There is no strict file name convention, but all files are required to have a unique name and a proper file extension.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/data-elements/carrier-integration/data-transmission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
